Sun Java Web SOCKS Proxy Authentication Exploit

This module exploits a stack-based buffer overflow vulnerability in the SOCKS proxy included in the Sun Java Web Proxy Server. The exploit sends specially crafted packets during the SOCKS connection negotiation and installs an agent if successful.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2007-2881
Product Version: 
6.2
Released Date: 
Friday, June 29, 2007 - 00:00